#!ksh
inst_include_path="c:/usr/include"
inst_lib_path="c:/usr/lib"
inst_bin_path="c:/usr/local/bin"

echo "CN[hpX" $inst_include_path
echo "CupX" $inst_lib_path
echo "oCipX" $inst_bin_path
echo ""

if test ! -d $inst_include_path
then
	echo "CN[hpX݂܂B"
	exit
fi
if test ! -d $inst_lib_path
then
	echo "CupX݂܂B"
	exit
fi
if test ! -d $inst_bin_path
then
	echo "st@CpX݂܂B"
	exit
fi

########################################
#install include files
########################################
echo "CN[ht@C̃CXg["

if test -r ${inst_include_path}/errno.h
then
	echo "errno.h ݂܂B"
	echo " errno.h  errno.org Ƃĕۑ܂B"
	mv ${inst_include_path}/errno.h ${inst_include_path}/errno.h || exit
fi
echo "install include/errno.h"
cp include/errno.h ${inst_include_path}/errno.h

if test -r ${inst_include_path}/sys/types.h
then
	echo "sys/types.h ݂܂B"
	echo " sys/types.h  sys/types.org Ƃĕۑ܂B"
	mv ${inst_include_path}/sys/types.h ${inst_include_path}/sys/types.h || exit
fi
echo "install include/sys/types.h"
cp include/sys/types.h ${inst_include_path}/sys/types.h

if test -r ${inst_include_path}/sys/cdefs.h
then
	echo "sys/cdefs.h ݂܂B"
	echo " sys/cdefs.h  sys/cdefs.org Ƃĕۑ܂B"
	mv ${inst_include_path}/sys/cdefs.h ${inst_include_path}/sys/cdefs.h || exit
fi
echo "install include/sys/cdefs.h"
cp include/sys/cdefs.h ${inst_include_path}/sys/cdefs.h

if test -r ${inst_include_path}/rpc
then
	echo "rpc/ ݂܂B"
	echo " rpc/  rpc.org/ Ƃĕۑ܂B"
	mv ${inst_include_path}/rpc ${inst_include_path}/rpc.org || exit
fi
echo "install include/rpc/"
cp -r include/rpc $inst_include_path

if test -r ${inst_include_path}/rpcsvc
then
	echo "rpcsvc/ ݂܂B"
	echo " rpcsvc/  rpcsvc.org/ Ƃĕۑ܂B"
	mv ${inst_include_path}/rpcsvc ${inst_include_path}/rpcsvc.org || exit
fi
echo "install include/rpcsvc/"
cp -r include/rpcsvc $inst_include_path
echo ""

########################################
#make rpc library
########################################
echo "qobCu(NetBSDłlib/libc/rpc)̃CXg["
cd rpc
echo "make ..."
make || exit
echo "intall librpc.a"
cp librpc.a $inst_lib_path
cd ..
echo ""

########################################
#make rpcgen.x
########################################
echo "rpcgen.x (NetBSDłusr.bin/rpcgen)̃CXg["
cd rpcgen
echo "make ..."
make || exit
echo "install rpcgen.x"
cp rpcgen.x $inst_bin_path
cd ..
echo ""

########################################
#make rpcsvc library & rpcsvc header
########################################
echo "rpcsvc Cu(NetBSDłlib/librpcsvc)̃CXg["
cd rpcsvc
echo "make ..."
make || exit
echo "install header files"
cp librpcsvc.a $inst_lib_path
echo "install librpcsvc.a"
cp *.h ${inst_include_path}/rpcsvc
cd ..
echo ""

########################################
#make rpc+rpcsvc (=rpcsvcp) library
########################################
echo "rpc+rpcsvc(=rpcsvcp) Cu(NetBSDł͖)̃CXg["
echo rpc/*.o rpcsvc/*.o > objlist
har librpcsvcp.a -i objlist
echo "install librpcsvcp.a"
cp librpcsvcp.a $inst_lib_path
echo ""

########################################
#make aplications
########################################
echo "AvP[ṼCXg["
cd apli
echo "make ..."
make || exit
echo "install binary files"
cp *.x $inst_bin_path
cd ..
echo ""


